
using Siger.Middlelayer.Utility.ExcelImport;
using Siger.Middlelayer.Utility.ImportEntities;
using Siger.Middlelayer.WmsRepository.Entities;
using System.Collections.Generic;

namespace Siger.Middlelayer.WmsRepository.Repositories.Interface
{
    public interface Isiger_wms_storage_locationRepository : IWMSRepositoryBase<siger_wms_storage_location>
    {
        string GenNo(int locationid);
        string GenInventoryLevel(int material_id, int ProjectId);
        CommonImportResult ImportStorageLocation(IEnumerable<ImportStorageLocation> types, int projectId, int mid);
    }
}
